!(function ($, window, document, _undefined) {
    "use strict";

    XF.CloseStickyThread = XF.Element.newHandler({

        options: {},

        init: function () {
            this.$target.on("ajax-submit:response", $.proxy(this, "complete"));
        },

        complete: function (e, data) {

            var cstClose = document.getElementById('cst_close');
            var cstSticky = document.getElementById('cst_sticky');
            
            if (cstClose.checked) {
                document.getElementById('cst_close_box').style.display = 'none';
            } 
            if (cstSticky.checked) {
                document.getElementById('cst_sticky_box').style.display = 'none';
            }

            return;
        },

    });


    XF.Element.register("close-sticky-thread", "XF.CloseStickyThread");
})(jQuery, window, document);
